Results 1 to 4 of 4

Thread: Runescape SwiftKit - runtime error 5

  1. #1
    Join Date
    Oct 2009
    Beans
    17

    Exclamation Runescape SwiftKit - runtime error 5

    Hey, I'm trying to get SwiftKit (a Runescape tool) to run on Ubuntu 9.10.. SwiftKit itself is working fine, everything works except for when I click on Play RS I get this runtime error..
    Runtime Error '5': Invalid call procedure or argument
    I believe this has something to do with VB6 and Wine? But i'm not exactly sure and i can't find anyone else with this problem.. other people claim to have swiftkit working fine on their linux systems.

    What i've done:
    1. Installed Wine, Wine Tricks and Gecko from the repos

    2. Downloaded the dll file: 'msvbvm60.dll' and added it to C:\Program Files\WINDOWS\System32

    3. Ran this command in terminal: sh winetricks vcrun6 wsh56

    4. Downloaded the latest offline java installation from the Java site

    5. Installed SwiftKit
    Please help

    EDIT: When I click Play RS that is when it has to load the Java Applet - this may be relevant

  2. #2
    Join Date
    Oct 2009
    Beans
    17

    Re: Runescape SwiftKit - runtime error 5

    Anyone? please help

    Someone on another forum suggested installing IE in hope that it would install the files needed for SwiftKit. They said it was something to do with active x. Suggestions?

  3. #3
    Join Date
    Aug 2007
    Location
    Denver, CO
    Beans
    Hidden!
    Distro
    Ubuntu

    Re: Runescape SwiftKit - runtime error 5

    It'd probably be easier if you didn't bother with Swiftkit on Linux. It's not written to work with the platform, so don't try to pull your hair out over it.
    (K)Ubuntu User since 5.10 | {Semi Active RS Player} | Student Programmer

  4. #4
    Join Date
    Aug 2008
    Location
    Wisconsin
    Beans
    10
    Distro
    Ubuntu 11.04 Natty Narwhal

    Re: Runescape SwiftKit - runtime error 5

    First of all, I'm sorry for resurrecting an old thread. However, I looked at this thread not long ago when I was (unsuccessfully) trying to install SwiftKit, and I suspect other Runescape players have done likewise...

    Recently a tool called Tiko came back online. It is similar to SwiftKit, including guides, skill calculators, timers, and an IRC client, but it is fully browser-based and works just fine on Ubuntu without needing to download or install anything. (And it's open-source!) So tearing out your hair to install SwiftKit really isn't worth it.

    Here's the site, in case anyone else wants to try it:
    http://www.rs-tiko.com./

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •